PDA

Afficher la version complète : Mise a jour de sécurité sur logrotate et dovecot



jluce
25/05/2011, 20h45
logrotate

openSUSE Security Update: logrotate: Multiple security fixes
__________________________________________________ ____________________________

Announcement ID: openSUSE-SU-2011:0536-1
Rating: moderate
References: #677336 #679661 #679662
Cross-References: CVE-2011-1098 CVE-2011-1154 CVE-2011-1155

Affected Products:
openSUSE 11.4
openSUSE 11.3
__________________________________________________ ____________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for logrotate provides the following fixes:

* The shred_file function in logrotate might allow
context-dependent attackers to execute arbitrary commands
via shell metacharacters in a log filename, as
demonstrated by a filename that is automatically
constructed on the basis of a hostname or virtual machine
name (CVE-2011-1154) (bnc#679661)

* Race condition in the createOutputFile function in
logrotate allows local users to read log data by opening
a file before the intended permissions are in place
(CVE-2011-1098) (bnc#677336)

* The writeState function in logrotate might allow
context-dependent attackers to cause a denial of service
(rotation outage) via a (1) \n (newline) or (2) \
(backslash) character in a log filename, as demonstrated
by a filename that is automatically constructed on the
basis of a hostname or virtual machine name
(CVE-2011-1155) (bnc#679662)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch logrotate-4580

- openSUSE 11.3:

zypper in -t patch logrotate-4580

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

logrotate-3.7.9-6.7.1

- openSUSE 11.3 (i586 x86_64):

logrotate-3.7.8-7.3.1


References:

http://support.novell.com/security/cve/CVE-2011-1098.html
http://support.novell.com/security/cve/CVE-2011-1154.html
http://support.novell.com/security/cve/CVE-2011-1155.html
https://bugzilla.novell.com/677336
https://bugzilla.novell.com/679661
https://bugzilla.novell.com/679662

dovecot

openSUSE Security Update: dovecot security update
__________________________________________________ ____________________________

Announcement ID: openSUSE-SU-2011:0540-1
Rating: low
References: #694778
Cross-References: CVE-2011-1929
Affected Products:
openSUSE 11.4
openSUSE 11.3
__________________________________________________ ____________________________

An update that fixes one vulnerability is now available. It
includes one version update.

Description:

dovecot crash when parsing mail headers that contain NUL
characters (CVE-2011-1929)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch dovecot12-4609 dovecot20-4610

- openSUSE 11.3:

zypper in -t patch dovecot12-4609

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64) [New Version: 1.2.17]:

dovecot12-1.2.17-2.3.1
dovecot12-backend-mysql-1.2.17-2.3.1
dovecot12-backend-pgsql-1.2.17-2.3.1
dovecot12-backend-sqlite-1.2.17-2.3.1
dovecot12-devel-1.2.17-2.3.1
dovecot12-fts-lucene-1.2.17-2.3.1
dovecot12-fts-solr-1.2.17-2.3.1
dovecot20-2.0.13-0.3.1
dovecot20-backend-mysql-2.0.13-0.3.1
dovecot20-backend-pgsql-2.0.13-0.3.1
dovecot20-backend-sqlite-2.0.13-0.3.1
dovecot20-devel-2.0.13-0.3.1
dovecot20-fts-solr-2.0.13-0.3.1

- openSUSE 11.3 (i586 x86_64) [New Version: 1.2.17]:

dovecot12-1.2.17-2.2.1
dovecot12-backend-mysql-1.2.17-2.2.1
dovecot12-backend-pgsql-1.2.17-2.2.1
dovecot12-backend-sqlite-1.2.17-2.2.1
dovecot12-devel-1.2.17-2.2.1
dovecot12-fts-lucene-1.2.17-2.2.1
dovecot12-fts-solr-1.2.17-2.2.1


References:

http://support.novell.com/security/cve/CVE-2011-1929.html
https://bugzilla.novell.com/694778